%define objprelink 0
%undefine __libtoolize

Name: kmencoder
Version: 0.1.2
Release: alt2
Source0: %name-%version.tar.bz2
URL: http://sourceforge.net/projects/kmencoder
License: GPL
Group: Video
Summary: KMencoder is a frontend to mencoder and mplayer for KDE. We want to do a Linux and Unix user friendly.
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Requires: kdelibs-gcc_compiled = %__gcc_version_base
BuildPrereq: 	libqt3-devel kdelibs-devel

# Automatically added by buildreq on Wed Oct 01 2003
BuildRequires: XFree86-devel XFree86-libs boson fontconfig freetype2
BuildRequires: gcc-c++ glibc-devel hostinfo kde-settings kdegames-libs
BuildRequires: kdelibs-devel libGLU libGLwrapper libart_lgpl-devel
BuildRequires: libarts-devel libaudio libexpat libjpeg-devel liblcms
BuildRequires: libmng libpng-devel libqt3-devel libstdc++-devel
BuildRequires: libxslt qt3-designer xml-utils zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
KMencoder is a frontend to mencoder and mplayer for KDE. We want to do a Linux and Unix user friendly.

%prep
%setup -q

%build
%configure \
	--with-xinerama \
	--disable-debug \
	--disable-static \
	--enable-shared

%if %objprelink
%make CXX=g++prelink
%else
%make
%endif

%install
%make DESTDIR=%buildroot install
%set_verify_elf_method relaxed

cp $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/apps/kmencoder.png $RPM_BUILD_ROOT%_iconsdir/kmencoder.png

#create menu
mkdir -p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): \
command="/usr/bin/kmencoder" \
title="KMencoder" \
longtitle="KMencoder is a frontend to mencoder and mplayer for KDE" \
needs="x11" \
icon="kmencoder.png" \
section="Multimedia/Video"
EOF

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%dir %_datadir/applnk/Applications
%_datadir/applnk/Applications/*

%dir %_datadir/doc/HTML/en/kmencoder
%_datadir/doc/HTML/en/kmencoder/*

%doc README INSTALL COPYING AUTHORS ChangeLog
%_bindir/*
%_menudir/*
%_iconsdir/*

%changelog
* Wed Oct 1 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.1.2-alt2
- Russian translate for Alexandre Prokoudine
- new buildrequires and rebuilding in hasher

* Wed Nov 06 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.1.2-alt1
- 0.1.2
- build in kde-3.1 and gcc-3.2.1

- specfile cleanup

